﻿﻿@using ClientDependency.Core.Mvc
@using Core.Services
@using Current = Umbraco.Web.Composing.Current;
@inherits Umbraco.Web.Mvc.UmbracoViewPage
@{
    Layout = null;
    Home home = null;
    if (Model.ContentType.Alias == "home")
    {
        home = (Home)Model;
    }
    IPublishedContent root = Model.Root();

    //var contentBlock = root.ContentBlocks;

    IClientSettingsService clientSettingsService = Current.Factory.GetInstance<IClientSettingsService>();
    var clientSettings = clientSettingsService.GetClientSettings();

    //scripts
    foreach (var scriptfile in clientSettings.Scripts)
    {
        Html.RequiresJs(scriptfile);
    }

    //css
    foreach (var stylefile in clientSettings.Styles)
    {
        Html.RequiresCss(stylefile);
    }
}

<!doctype html>
<html lang="@Model.GetCultureFromDomains()">
<head>
    <meta charset="utf-8">
    <link rel="icon" type="image/png" href="~/images/logo.png" />
    @{ Html.RenderPartial("SiteLayout/_MetaData"); }
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1">


    <style>
        :root {
            --var1: #f18904; /*orange*/
            --var2: #c44427; /*red */
            --var3: #629694; /*light green*/
            --var4: #375d50; /*dark green*/
            --var5: #f5f2eb; /* white */
            --var6: #d2cfc6; /* gery */
        }
    </style>

    @if (clientSettings.HasSnipCart)
    {
        <link rel="stylesheet" href="https://cdn.snipcart.com/themes/v3.0.13/default/snipcart.css" />
    }

    @Html.RenderCssHere()
    <!--[if IE]>
            <script src="js/html5shiv.js"></script>
        <![endif]-->
</head>

<body class="width-100" data-scrolltime="1.2" data-scrolldistance="1.8">
    <div class="position-absolute left-0 top-0 width-100 height-100">
        @if (clientSettings.HasSnipCart)
        {
            <div id="snipcart" data-api-key="NzI3ZDczMWYtNTc2MC00ZjYyLTllMjktZTg5ZTUxYjJjNTFlNjM3MjQ0NTU3Njk1Njc0MzY5" hidden></div>
        }
        @Html.CachedPartial("Partials/fd/fdHeader", Model, 3600)
        @Html.CachedPartial("Partials/fd/fdTop", Model, 0)
        @RenderBody()
        @if (Model.ContentType.Alias == "home")
        {
            @Html.RenderContentBlocks(home.ContentBlocks)
        }
        @Html.CachedPartial("Partials/fd/fdBottom", Model, 3600)
    </div>
    <a class="scroll-top-arrow" href="javascript:void(0);"><i class="ti-arrow-up"></i></a>

    @Html.RenderJsHere()
    @if (clientSettings.HasSnipCart)
    {
        <script src="https://cdn.snipcart.com/themes/v3.0.13/default/snipcart.js"></script>
    }

</body>
</html>
